
<script type="text/javascript">
    $(document).ready(function(){
        var table=$('#tb-menu').DataTable({            
            dom: 'Bfrtip',
            autoWidth: false,
            buttons: [{extend:'excelHtml5',text:'导出到Excel'}],           
            language:lng,           
            data:{{data|safe}},
            destroy:true,
        });      
        
        table.columns().every( function () {                        
            var that = this;             
            $('input', this.footer() ).on( 'keyup change clear', function () {
                if ( that.search() !== this.value ) {
                    that.search( this.value ).draw();
                }
            });
        });        

    });



    $(".btn-obj-add").click(function () { 
        event.preventDefault();
        $.RefreshContent($(this).attr('href'));   
        //$.OpenUrlCfmDlg($(this).attr('href'),'系统菜单-新建:','确定','取消');
    });
    $('#tb-menu').on('click','a',function(){
        event.preventDefault();
        $.RefreshContent($(this).attr('href')); 
        //$.OpenUrlCfmDlg($(this).attr('href'),'系统菜单-修改:','确定','取消');
    });

    
</script>


<style>
  
   
</style>


<div id='list-tt'  style='margin-bottom:10px;' >
   
    <ol class="breadcrumb">
        <li>系统菜单</li>
        <li>菜单管理</li>     
        <a class='pull-right btn btn-primary btn-default btn-obj-add' href='/rbac/menu/'>添加</a>
    </ol>

    

    
</div>
<table id="tb-menu" class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%"> 
    <thead>
        {% for c in clmns %}
            <th>{{c}}</th>
        {% endfor %}
    </thead>
    <tbody></tbody>
    <tfoot>
        {% for c in clmns %}
            <th><input type="text" placeholder="{{c}}"></th>            
        {% endfor %}            
    </tfoot>
</table>

